Permalink
Browse files

Core: Change jQuery alias 'expr[":"]' to 'expr.pseudos'

  • Loading branch information...
1 parent 8fe4a90 commit 8cb072c9b771a79a32c6a2ac927ae7ee95a5f030 @kevindb kevindb committed with staabm Jul 7, 2016
Showing with 1 addition and 1 deletion.
  1. +1 −1 src/core.js
View
2 src/core.js
@@ -186,7 +186,7 @@ $.extend( $.fn, {
} );
// Custom selectors
-$.extend( $.expr[ ":" ], {
+$.extend( $.expr.pseudos || $.expr[ ":" ], { // '|| $.expr[ ":" ]' here enables backwards compatibility to jQuery 1.7. Can be removed when dropping jQ 1.7.x support
// http://jqueryvalidation.org/blank-selector/
blank: function( a ) {

2 comments on commit 8cb072c

@pmaceachern

@kevindb , I have a potentially silly question here. I need this update to pass the jquery 3.0 requirement, but pulling down the latest update 1.15.1 doesn't seem to include your change. Is this simply a case where your change has not been promoted to the updated version?

@staabm
Collaborator

@pmaceachern this change was intentionally merged after 1.15.1 was tagged. it will be part of the next release.

Please sign in to comment.